### Constructor

# Gio SocketService new

since: 2.22

#### Declaration

    GSocketService*
    g_socket_service_new (
      void
    )

#### Description

Creates a new `GSocketService` with no sockets to listen for. New listeners can be added with e.g. `g_socket_listener_add_address()` or g_socket_listener_add_inet_port().

New services are created active, there is no need to call g_socket_service_start(), unless `g_socket_service_stop()` has been called before.

Available since: 2.22

#### Return value

Type: `GSocketService`

A new `GSocketService`.

The caller of the function takes ownership of the data, and is responsible for freeing it.